package w83b.w83bOperacionesInternas.w83bIncidencias;


import java.util.ArrayList;
import java.util.List;

import w83b.w83bBeans.W83bIncidenciasBean;
import w83b.w83bBeans.W83bNuevaIncidenciasBean;
import w83b.w83bUtilidadesComunes.W83bClsConstantes;
import es.ejie.frmk.negocio.operacioninterna.Q70OperacionInterna;
import es.ejie.frmk.negocio.operacioninterna.Q70OperacionInternaConfigBean;
import es.ejie.frmk.negocio.operacioninterna.Q70OperacionInternaErrors;
import es.ejie.frmk.presentacion.sesiondatos.Q70ContextoEJIE;
/**
 * 
 * @author 
 *
 */
public class W83bGuardarIncidenciasAction extends Q70OperacionInterna{
	/**
	 * preProcessMappingEntrada
	 * @param contexto a
	 * @param configBean a
	 * @param errors a
	 * @throws Exception e
	 */				
	protected void preProcessMappingEntrada(Q70ContextoEJIE contexto, Q70OperacionInternaConfigBean configBean, Q70OperacionInternaErrors errors) throws Exception{				
		
				
		super.preProcessMappingEntrada(contexto, configBean, errors);
			
	}
	/**
	 * postProcessMappingSalida
	 * @param contexto a
	 * @param errors a
	 * @throws Exception e
	 */
	protected void postProcessMappingSalida(Q70ContextoEJIE contexto, Q70OperacionInternaErrors errors) throws Exception {
		W83bNuevaIncidenciasBean bean = (W83bNuevaIncidenciasBean)contexto.get("w83bNuevaIncidenciasBean");
		String resultado = (String)contexto.get("w83bResultado");
		
		int fechaRegistro = resultado.split("___").length;
		
		resultado = resultado.split("___")[0];
		
		contexto.set("w83bResultado",resultado);
		
		W83bIncidenciasBean beanBusq = new W83bIncidenciasBean();
		
		beanBusq.setTerritorioIncidencia(bean.getIncidenciaTerritorio());
		beanBusq.setAnyoIncidencia(bean.getIncidenciaAnyo());
		beanBusq.setNumIncidencia(resultado);
		
		bean.setIncidenciaNumero(resultado);
		
		List listaIncidencias = new ArrayList();
		listaIncidencias.add(beanBusq);
		contexto.set("w83bListaIncidencias",listaIncidencias);
		contexto.set("w83bNuevaIncidenciasBean",bean);
		contexto.set("codSelec","0");
		
		if(1==fechaRegistro){
			contexto.set(W83bClsConstantes.CONSTANTE_MENSAJES_APLICACION_NO_ERROR, "comun.mensaje.bdActualizadaOkLibroRegistroError");			
			contexto.set("guardado","trueError");
		}else{
			contexto.set(W83bClsConstantes.CONSTANTE_MENSAJES_APLICACION_NO_ERROR, "comun.mensaje.bdActualizadaOk");
			contexto.set("guardado","true");
		}
				
		super.postProcessMappingSalida(contexto, errors);
	}
	
}
